Latest 1.3.0
Homepage https://github.com/1fr3dg/SimpleEncrypter
License MIT
Platforms ios 9.0, osx 10.11
Dependencies CryptoSwift
Authors

CI Status
Version
License
Platform

一个简单的加密接口协议,便于在 app 中切换不同加密方法

a simple protocol for Data->Data encrypter used by my apps

Example

Requirements

  • iOS 9.0+, OSX 10.11+

Installation

CocoaPods

可通过CocoaPods安装:

SimpleEncrypter is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "SimpleEncrypter"

Swift Package Manager

You can use Swift Package Manager and specify dependency in Package.swift by adding this:

.Package(url: "https://github.com/1Fr3dG/SimpleEncrypter", majorVersion: 1)

NOTE: For now (Jan. 2017), swift build forces the osx.target.version to 10.10, so I build a special version to deal with that. This version support only gzip for compress.

.Package(url: "https://github.com/1Fr3dG/SimpleEncrypter", "0.3.1")

Author

Alfred Gao, [email protected]

License

SimpleEncrypter is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "SimpleEncrypter",
    "version": "1.3.0",
    "summary": "A simple protocol for Data->Data encrypt.",
    "description": "This is designed for my apps, so that I can easily change real encrypter.",
    "homepage": "https://github.com/1fr3dg/SimpleEncrypter",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Alfred Gao": "[email protected]"
    },
    "source": {
        "git": "https://github.com/1fr3dg/SimpleEncrypter.git",
        "tag": "1.3.0"
    },
    "platforms": {
        "ios": "9.0",
        "osx": "10.11"
    },
    "source_files": "Sources/*",
    "dependencies": {
        "CryptoSwift": []
    }
}

Pin It on Pinterest

Share This